Subject: bug#30680: [PATCH] Patch Racket to fix bug #30680

From: Christopher Lemmer Webber <[email-masked]>
Date: Sun, 12 Aug 2018 16:35:27 -0400

Timothy Sample writes:

> Hi Guix,
>
> (Patch is attached below.)
>
> This patch fixes <https://debbugs.gnu.org/30680>.  It does so by
> patching Racket to treat store files specially.  I have verified that it
> both fixes the bug above and still recompiles non-store files.
>
> As far as I can tell, Racket only uses these checksums as part of its
> “setup” library.  When deciding whether to use a bytecode file during
> evaluation, it does not verify the checksum.  That’s why only the
> “setup” code is patched.
>
> As a side note, both GDB and Go have similar problems:
>
>     • <https://debbugs.gnu.org/19973>
>     • <https://debbugs.gnu.org/25752>
>
> If there ever is a more general solution, this patch will no longer be
> necessary.
>
> (Also, Racket takes a bit of time to build, so reviewers beware!)
>
>
> -- Tim

Oh wait... it seems like the patch is not actually attached?  I assume
that must be an error!

Actually if I look at the raw view of the email I see:

--=-=-=
Content-Type: message/external-body;
 name="/home/samplet/code/guix-wip-racket/0001-gnu-racket-Ignore-bytecode-checksums-in-the-store.patch";
 access-type=local-file

Content-Type: text/x-patch
Content-ID: <[email-masked]>
Content-Transfer-Encoding: binary

--=-=-=

So it looks like it should be attached, but I don't see the file
contents?

Perhaps this is an error on my end!  But I'm very eager to test this
patch!